﻿<div class="{{ $pageRouteServ.pageObject.academicInfo.class + ' ' + $pageRouteServ.pageObject.programme.class + ' ' + $pageRouteServ.pageObject.programme.verified.class }}">
    <div class="dialogin" ng-if="prgvef.showForm">
        <div class="panel noborder">
            <div class="panel-body">
                <div class="text-center" loading-container="$programmeServ.tableList.programmeVerified.settings().$loading">
                    <table class="table table-striped table-hover" ng-table="$programmeServ.tableList.programmeVerified">
                        <caption>
                            <div class="block">
                                <div class="panel-table">
                                    <div class="panel-row">
                                        <div class="panel-col col-toolbar">
                                            <div class="toolbar">
                                                <a enter class="btn black f5 nomargin-left" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['filter'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        prgvef.table.filter.showForm = !prgvef.table.filter.showForm
                                                    ">
                                                    <i class="fa fa-filter white f9"></i>
                                                </a>
                                                <a enter class="btn black f5" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['reload'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        acaprg.table.reload.isPreloading = false;
                                                        acaprg.table.reload.isResetDataSource = true;
                                                        acaprg.table.reload.tableType = 'master';
                                                        acaprg.table.reload.order = [{ 
                                                            table: 'programmeVerified',
                                                            isFirstPage: true
                                                        }];
                                                        acaprg.table.reload.action()
                                                    ">
                                                    <i class="fa fa fa-refresh white f9"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="panel-col col-recordcount text-right"
                                            ng-show="!$programmeServ.tableList.programmeVerified.settings().$loading"
                                            ng-if="!acaprg.table.hide">
                                            <span class="{{ $appServ.labelStyle }} regular black f11">
                                                {{ $utilServ.getRecordCount($programmeServ.tableList.programmeVerified.totalSearch, $programmeServ.tableList.programmeVerified.total(), $dictServ.dict) }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filter dialogin" ng-if="prgvef.table.filter.showForm">
                                <div class="panel noborder">
                                    <div class="panel-heading block">
                                        <div class="panel-title text-left">
                                            <span class="{{ $appServ.labelStyle }} bold white f10">
                                                {{ $appServ.getLabel(['filter']) }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="panel-body block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col nopadding-right">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular white f10">
                                                                {{ $appServ.getLabel(['keyword']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text"
                                                                    ng-model="prgvef.table.filter.formField.keyword"
                                                                    ng-disabled="$programmeServ.tableList.programmeVerified.totalSearch === 0"
                                                                />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </caption>
                        <thead class="table-data">
                            <tr>
                                <th class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['order']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['program', 'table', 'code']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-name">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['program', 'table', 'name']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-courseyear">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['program', 'table', 'courseYear']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-right noborder-bottom col-command"></th>
                                <th class="colwrap colwrap1 hidden" colspan="5"></th>
                            </tr>
                        </thead>
                        <tbody class="table-data" ng-repeat="dr in $data | orderBy: 'id'">
                            <tr ng-if="!acaprg.table.hide">
                                <td class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['order'])">
                                        {{ $utilServ.getOrderIndex($programmeServ.tableList.programmeVerified, $index) }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-code">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['program', 'table', 'code'])">
                                        {{ dr.programFullCode }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-name text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['program', 'table', 'name'])">
                                        {{ dr.name[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-courseyear text-left">
                                    <div class="block nopadding-right" uib-tooltip-html="$appServ.getLabel(['program', 'table', 'courseYear'])">
                                        <div class="dropdown" ng-repeat="courseYear in dr.courseYear.split(',')">
                                            <a class="link {{ $appServ.labelStyle }} regular black f11" href="javascript:void(0)" data-toggle="dropdown">
                                                {{ courseYear }}
                                            </a>
                                            <i class="fa fa-caret-right" aria-hidden="true"></i>
                                            <ul class="dropdown-menu">
                                                <li>
                                                    <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/edit/master/{{ dr.programId }}/{{ courseYear }}">
                                                        {{ $appServ.getLabel(['program', 'edit']) }}
                                                    </a>
                                                </li>
                                                <li>
                                                    <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/update/master/{{ dr.programId }}/{{ courseYear }}">
                                                        {{ $appServ.getLabel(['program', 'update']) }}
                                                    </a>
                                                </li>
                                            </ul>
                                            <a class="{{ $appServ.labelStyle }} regular i-info f12" href="javascript:void(0)"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    $programmeServ.setCancel(dr.programId, courseYear)
                                                ">
                                                {{ $appServ.getLabel(['cancel']) | lowercase }}
                                            </a>
                                            <span class="{{ $appServ.labelStyle }} regular i-info f12">
                                                &nbsp;|&nbsp;
                                            </span>
                                            <span class="{{ $appServ.labelStyle }} regular muted f12"
                                                ng-if="
                                                    dr.courseYear &&
                                                    dr.courseYearPresent &&
                                                    courseYear === dr.courseYearPresent
                                                ">
                                                {{ $appServ.getLabel(['default', 'asDefault']) | lowercase }}
                                            </span>
                                            <a class="{{ $appServ.labelStyle }} regular i-info f12" href="javascript:void(0)"
                                                ng-click="
                                                    $utilServ.doBlur($event);
                                                    $programmeServ.setAsDefault(dr.programId, courseYear)
                                                "
                                                ng-if="courseYear !== dr.courseYearPresent">
                                                {{ $appServ.getLabel(['default', 'setAs']) | lowercase }}
                                            </a>
                                        </div>
                                    </div>
                                </td>
                                <td class="noborder-top noborder-right noborder-bottom col-command">
                                    <div class="block">
                                        <div class="toolbar"
                                            ng-if="
                                                dr.courseYear &&
                                                dr.courseYearPresent
                                            ">
                                            <div class="dropdown">
                                                <a class="btn btn-text default-bg" href="javascript:void(0)" data-toggle="dropdown" uib-tooltip-html="$appServ.getLabel(['dataPresent'])">
                                                    <i class="fa fa-list white f9"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                        {{ $appServ.getLabel(['dataPresent'])}}
                                                    </span>
                                                </a>
                                                <i class="fa fa-caret-right" aria-hidden="true"></i>
                                                <ul class="dropdown-menu">
                                                    <li>
                                                        <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/edit/programPresent/{{ dr.programId }}">
                                                            {{ $appServ.getLabel(['program', 'edit']) }}
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/update/programPresent/{{ dr.programId }}">
                                                            {{ $appServ.getLabel(['program', 'update']) }}
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="colwrap colwrap1 noborder" colspan="5">
                                    <div class="view block">
                                        <div class="iform">
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['order']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ $utilServ.getOrderIndex($programmeServ.tableList.programmeVerified, $index) }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['program', 'table', 'code']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.programFullCode }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['program', 'table', 'name']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.name[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row col-courseyear">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['program', 'table', 'courseYear']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="input-col text-left nopadding-top">
                                                    <div class="dropdown" ng-repeat="courseYear in dr.courseYear.split(',')">
                                                        <a class="link {{ $appServ.labelStyle }} regular black f11" href="javascript:void(0)" data-toggle="dropdown">
                                                            {{ courseYear }}
                                                        </a>
                                                        <i class="fa fa-caret-left" aria-hidden="true"></i>
                                                        <ul class="dropdown-menu">
                                                            <li>
                                                                <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/edit/master/{{ dr.programId }}/{{ courseYear }}">
                                                                    {{ $appServ.getLabel(['program', 'edit']) }}
                                                                </a>
                                                            </li>
                                                            <li>
                                                                <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/update/master/{{ dr.programId }}/{{ courseYear }}">
                                                                    {{ $appServ.getLabel(['program', 'update']) }}
                                                                </a>
                                                            </li>
                                                        </ul>
                                                        <a class="{{ $appServ.labelStyle }} regular i-info f12" href="javascript:void(0)"
                                                            ng-click="
                                                                $utilServ.doBlur($event);
                                                                $programmeServ.setCancel(dr.programId, courseYear)
                                                            ">
                                                            {{ $appServ.getLabel(['cancel']) | lowercase }}
                                                        </a>
                                                        <span class="{{ $appServ.labelStyle }} regular i-info f12">
                                                            &nbsp;|&nbsp;
                                                        </span>
                                                        <span class="{{ $appServ.labelStyle }} regular muted f12"
                                                            ng-if="
                                                                dr.courseYear &&
                                                                dr.courseYearPresent &&
                                                                courseYear === dr.courseYearPresent
                                                            ">
                                                            {{ $appServ.getLabel(['default', 'asDefault']) | lowercase }}
                                                        </span>
                                                        <a class="{{ $appServ.labelStyle }} regular i-info f12" href="javascript:void(0)"
                                                            ng-click="
                                                                $utilServ.doBlur($event);
                                                                $programmeServ.setAsDefault(dr.programId, courseYear)
                                                            "
                                                            ng-if="courseYear !== dr.courseYearPresent">
                                                            {{ $appServ.getLabel(['default', 'setAs']) | lowercase }}
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right paddingTop3">
                                            <div class="toolbar" ng-if="dr.courseYear && dr.courseYearPresent">
                                                <div class="dropdown pull-right">
                                                    <a class="btn btn-text default-bg" href="javascript:void(0)" data-toggle="dropdown" uib-tooltip-html="$appServ.getLabel(['dataPresent'])">
                                                        <i class="fa fa-list white f9"></i>
                                                        <span class="{{ $appServ.labelStyle }} regular white f12 text-left">
                                                            {{ $appServ.getLabel(['dataPresent']) }}
                                                        </span>
                                                    </a>
                                                    <i class="fa fa-caret-right" aria-hidden="true"></i>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/edit/programPresent/{{ dr.programId }}">
                                                                {{ $appServ.getLabel(['program', 'edit']) }}
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a class="{{ $appServ.labelStyle }} regular white f11" href="#/TQFInfo/TQF2/update/programPresent/{{ dr.programId }}">
                                                                {{ $appServ.getLabel(['program', 'update']) }}
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="clear"></div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot
                            ng-show="
                                $programmeServ.tableList.programmeVerified.totalSearch !== undefined &&
                                !$programmeServ.tableList.programmeVerified.settings().$loading
                            ">
                            <tr ng-if="!acaprg.table.hide">
                                <td class="noborder-top noborder-right noborder-bottom noborder-left" colspan="5">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block">
                                        {{ $utilServ.getRecordCount($programmeServ.tableList.programmeVerified.totalSearch, $programmeServ.tableList.programmeVerified.total(), $dictServ.dict) }}
                                    </span>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>